Debian Bug report logs - #660072
[nut] Invalid udev rules prevent operation of nut

version graph

Package: nut; Maintainer for nut is Arnaud Quette <aquette@debian.org>; Source for nut is src:nut.

Reported by: Roman Mamedov <rm@romanrm.ru>

Date: Thu, 16 Feb 2012 06:15:01 UTC

Severity: important

Found in version nut/2.6.3-1

Fixed in version nut/2.6.4-1

Done: Arnaud Quette <aquette@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Arnaud Quette <aquette@debian.org>:
Bug#660072; Package nut. (Thu, 16 Feb 2012 06:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roman Mamedov <rm@romanrm.ru>:
New Bug report received and forwarded. Copy sent to Arnaud Quette <aquette@debian.org>. (Thu, 16 Feb 2012 06:15:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Roman Mamedov <rm@romanrm.ru>
To: submit@bugs.debian.org
Subject: [nut] Invalid udev rules prevent operation of nut
Date: Thu, 16 Feb 2012 12:03:37 +0600
[Message part 1 (text/plain, inline)]
Package: nut
Version: 2.6.3-1
Severity: important

nut is completely broken on my system since quite some time ago.

$ dpkg -S /etc/udev/rules.d/52-nut-usbups.rules
nut: /etc/udev/rules.d/52-nut-usbups.rules

$ debsums -e  nut
/etc/udev/rules.d/52-nut-usbups.rules                                         OK
/etc/nut/ups.conf.sample                                                      OK
/etc/nut/upsmon.conf.sample                                                   OK
/etc/nut/upsd.conf.sample                                                     OK
/etc/nut/upssched.conf.sample                                                 OK
/etc/nut/upsd.users.sample                                                    OK

---

Feb 16 11:48:33 natsu upsd[5477]: listening on 127.0.0.1 port 3493
Feb 16 11:48:33 natsu upsd[5477]: listening on ::1 port 3493
Feb 16 11:48:33 natsu upsd[5477]: Can't connect to UPS [pw800] (blazer_usb-pw800): Permission denied
Feb 16 11:48:33 natsu upsd[5477]: allowfrom in upsd.users is no longer used
Feb 16 11:48:33 natsu upsd[5478]: Startup successful
Feb 16 11:48:33 natsu upsmon[5481]: Startup successful
Feb 16 11:48:35 natsu udevd[484]: unknown key 'BUS' in /etc/udev/rules.d/52-nut-usbups.rules:6
Feb 16 11:48:35 natsu udevd[484]: invalid rule '/etc/udev/rules.d/52-nut-usbups.rules:6'
Feb 16 11:48:35 natsu udevd[484]: unknown key 'SYSFS{idVendor}' in /etc/udev/rules.d/52-nut-usbups.rules:10
Feb 16 11:48:35 natsu udevd[484]: invalid rule '/etc/udev/rules.d/52-nut-usbups.rules:10'
Feb 16 11:48:35 natsu udevd[484]: unknown key 'SYSFS{idVendor}' in /etc/udev/rules.d/52-nut-usbups.rules:14
Feb 16 11:48:35 natsu udevd[484]: invalid rule '/etc/udev/rules.d/52-nut-usbups.rules:14'
Feb 16 11:48:35 natsu udevd[484]: unknown key 'SYSFS{idVendor}' in /etc/udev/rules.d/52-nut-usbups.rules:18
Feb 16 11:48:35 natsu udevd[484]: invalid rule '/etc/udev/rules.d/52-nut-usbups.rules:18'
Feb 16 11:48:35 natsu udevd[484]: unknown key 'SYSFS{idVendor}' in /etc/udev/rules.d/52-nut-usbups.rules:20
Feb 16 11:48:35 natsu udevd[484]: invalid rule '/etc/udev/rules.d/52-nut-usbups.rules:20'
Feb 16 11:48:35 natsu udevd[484]: unknown key 'SYSFS{idVendor}' in /etc/udev/rules.d/52-nut-usbups.rules:24
Feb 16 11:48:35 natsu udevd[484]: invalid rule '/etc/udev/rules.d/52-nut-usbups.rules:24'
Feb 16 11:48:35 natsu udevd[484]: unknown key 'SYSFS{idVendor}' in /etc/udev/rules.d/52-nut-usbups.rules:26
Feb 16 11:48:35 natsu udevd[484]: invalid rule '/etc/udev/rules.d/52-nut-usbups.rules:26'
Feb 16 11:48:35 natsu udevd[484]: unknown key 'SYSFS{idVendor}' in /etc/udev/rules.d/52-nut-usbups.rules:28
Feb 16 11:48:35 natsu udevd[484]: invalid rule '/etc/udev/rules.d/52-nut-usbups.rules:28'
Feb 16 11:48:35 natsu udevd[484]: unknown key 'SYSFS{idVendor}' in /etc/udev/rules.d/52-nut-usbups.rules:30
Feb 16 11:48:35 natsu udevd[484]: invalid rule '/etc/udev/rules.d/52-nut-usbups.rules:30'
Feb 16 11:48:35 natsu udevd[484]: unknown key 'SYSFS{idVendor}' in /etc/udev/rules.d/52-nut-usbups.rules:32
Feb 16 11:48:35 natsu udevd[484]: invalid rule '/etc/udev/rules.d/52-nut-usbups.rules:32'
Feb 16 11:48:35 natsu udevd[484]: unknown key 'SYSFS{idVendor}' in /etc/udev/rules.d/52-nut-usbups.rules:34
Feb 16 11:48:35 natsu udevd[484]: invalid rule '/etc/udev/rules.d/52-nut-usbups.rules:34'
Feb 16 11:48:35 natsu udevd[484]: unknown key 'SYSFS{idVendor}' in /etc/udev/rules.d/52-nut-usbups.rules:36
Feb 16 11:48:35 natsu udevd[484]: invalid rule '/etc/udev/rules.d/52-nut-usbups.rules:36'
Feb 16 11:48:35 natsu udevd[484]: unknown key 'SYSFS{idVendor}' in /etc/udev/rules.d/52-nut-usbups.rules:38
Feb 16 11:48:35 natsu udevd[484]: invalid rule '/etc/udev/rules.d/52-nut-usbups.rules:38'
Feb 16 11:48:35 natsu udevd[484]: unknown key 'SYSFS{idVendor}' in /etc/udev/rules.d/52-nut-usbups.rules:42
Feb 16 11:48:35 natsu udevd[484]: invalid rule '/etc/udev/rules.d/52-nut-usbups.rules:42'
Feb 16 11:48:35 natsu udevd[484]: unknown key 'SYSFS{idVendor}' in /etc/udev/rules.d/52-nut-usbups.rules:46
Feb 16 11:48:35 natsu udevd[484]: invalid rule '/etc/udev/rules.d/52-nut-usbups.rules:46'
Feb 16 11:48:35 natsu udevd[484]: unknown key 'SYSFS{idVendor}' in /etc/udev/rules.d/52-nut-usbups.rules:48
Feb 16 11:48:35 natsu udevd[484]: invalid rule '/etc/udev/rules.d/52-nut-usbups.rules:48'
Feb 16 11:48:35 natsu udevd[484]: unknown key 'SYSFS{idVendor}' in /etc/udev/rules.d/52-nut-usbups.rules:50
Feb 16 11:48:35 natsu udevd[484]: invalid rule '/etc/udev/rules.d/52-nut-usbups.rules:50'
Feb 16 11:48:35 natsu udevd[484]: unknown key 'SYSFS{idVendor}' in /etc/udev/rules.d/52-nut-usbups.rules:52
Feb 16 11:48:35 natsu udevd[484]: invalid rule '/etc/udev/rules.d/52-nut-usbups.rules:52'
Feb 16 11:48:35 natsu udevd[484]: unknown key 'SYSFS{idVendor}' in /etc/udev/rules.d/52-nut-usbups.rules:54
Feb 16 11:48:35 natsu udevd[484]: invalid rule '/etc/udev/rules.d/52-nut-usbups.rules:54'
Feb 16 11:48:35 natsu udevd[484]: unknown key 'SYSFS{idVendor}' in /etc/udev/rules.d/52-nut-usbups.rules:56
Feb 16 11:48:35 natsu udevd[484]: invalid rule '/etc/udev/rules.d/52-nut-usbups.rules:56'
Feb 16 11:48:35 natsu udevd[484]: unknown key 'SYSFS{idVendor}' in /etc/udev/rules.d/52-nut-usbups.rules:60
Feb 16 11:48:35 natsu udevd[484]: invalid rule '/etc/udev/rules.d/52-nut-usbups.rules:60'
Feb 16 11:48:35 natsu udevd[484]: unknown key 'SYSFS{idVendor}' in /etc/udev/rules.d/52-nut-usbups.rules:62
Feb 16 11:48:35 natsu udevd[484]: invalid rule '/etc/udev/rules.d/52-nut-usbups.rules:62'
Feb 16 11:48:35 natsu udevd[484]: unknown key 'SYSFS{idVendor}' in /etc/udev/rules.d/52-nut-usbups.rules:64
Feb 16 11:48:35 natsu udevd[484]: invalid rule '/etc/udev/rules.d/52-nut-usbups.rules:64'
Feb 16 11:48:35 natsu udevd[484]: unknown key 'SYSFS{idVendor}' in /etc/udev/rules.d/52-nut-usbups.rules:68
Feb 16 11:48:35 natsu udevd[484]: invalid rule '/etc/udev/rules.d/52-nut-usbups.rules:68'
Feb 16 11:48:35 natsu udevd[484]: unknown key 'SYSFS{idVendor}' in /etc/udev/rules.d/52-nut-usbups.rules:70
Feb 16 11:48:35 natsu udevd[484]: invalid rule '/etc/udev/rules.d/52-nut-usbups.rules:70'
Feb 16 11:48:35 natsu udevd[484]: unknown key 'SYSFS{idVendor}' in /etc/udev/rules.d/52-nut-usbups.rules:72
Feb 16 11:48:35 natsu udevd[484]: invalid rule '/etc/udev/rules.d/52-nut-usbups.rules:72'
Feb 16 11:48:35 natsu udevd[484]: unknown key 'SYSFS{idVendor}' in /etc/udev/rules.d/52-nut-usbups.rules:74
Feb 16 11:48:35 natsu udevd[484]: invalid rule '/etc/udev/rules.d/52-nut-usbups.rules:74'
Feb 16 11:48:35 natsu udevd[484]: unknown key 'SYSFS{idVendor}' in /etc/udev/rules.d/52-nut-usbups.rules:76
Feb 16 11:48:35 natsu udevd[484]: invalid rule '/etc/udev/rules.d/52-nut-usbups.rules:76'
Feb 16 11:48:35 natsu udevd[484]: unknown key 'SYSFS{idVendor}' in /etc/udev/rules.d/52-nut-usbups.rules:78
Feb 16 11:48:35 natsu udevd[484]: invalid rule '/etc/udev/rules.d/52-nut-usbups.rules:78'
Feb 16 11:48:35 natsu udevd[484]: unknown key 'SYSFS{idVendor}' in /etc/udev/rules.d/52-nut-usbups.rules:80
Feb 16 11:48:35 natsu udevd[484]: invalid rule '/etc/udev/rules.d/52-nut-usbups.rules:80'
Feb 16 11:48:35 natsu udevd[484]: unknown key 'SYSFS{idVendor}' in /etc/udev/rules.d/52-nut-usbups.rules:82
Feb 16 11:48:35 natsu udevd[484]: invalid rule '/etc/udev/rules.d/52-nut-usbups.rules:82'
Feb 16 11:48:35 natsu udevd[484]: unknown key 'SYSFS{idVendor}' in /etc/udev/rules.d/52-nut-usbups.rules:84
Feb 16 11:48:35 natsu udevd[484]: invalid rule '/etc/udev/rules.d/52-nut-usbups.rules:84'
Feb 16 11:48:35 natsu udevd[484]: unknown key 'SYSFS{idVendor}' in /etc/udev/rules.d/52-nut-usbups.rules:86
Feb 16 11:48:35 natsu udevd[484]: invalid rule '/etc/udev/rules.d/52-nut-usbups.rules:86'
Feb 16 11:48:35 natsu udevd[484]: unknown key 'SYSFS{idVendor}' in /etc/udev/rules.d/52-nut-usbups.rules:88
Feb 16 11:48:35 natsu udevd[484]: invalid rule '/etc/udev/rules.d/52-nut-usbups.rules:88'
Feb 16 11:48:35 natsu udevd[484]: unknown key 'SYSFS{idVendor}' in /etc/udev/rules.d/52-nut-usbups.rules:90
Feb 16 11:48:35 natsu udevd[484]: invalid rule '/etc/udev/rules.d/52-nut-usbups.rules:90'
Feb 16 11:50:06 natsu udevd[484]: unknown key 'BUS' in /etc/udev/rules.d/52-nut-usbups.rules:6
Feb 16 11:50:06 natsu udevd[484]: invalid rule '/etc/udev/rules.d/52-nut-usbups.rules:6'
Feb 16 11:50:06 natsu udevd[484]: unknown key 'SYSFS{idVendor}' in /etc/udev/rules.d/52-nut-usbups.rules:10
Feb 16 11:50:06 natsu udevd[484]: invalid rule '/etc/udev/rules.d/52-nut-usbups.rules:10'
Feb 16 11:50:06 natsu udevd[484]: unknown key 'SYSFS{idVendor}' in /etc/udev/rules.d/52-nut-usbups.rules:14
Feb 16 11:50:06 natsu udevd[484]: invalid rule '/etc/udev/rules.d/52-nut-usbups.rules:14'
Feb 16 11:50:06 natsu udevd[484]: unknown key 'SYSFS{idVendor}' in /etc/udev/rules.d/52-nut-usbups.rules:18
Feb 16 11:50:06 natsu udevd[484]: invalid rule '/etc/udev/rules.d/52-nut-usbups.rules:18'
Feb 16 11:50:06 natsu udevd[484]: unknown key 'SYSFS{idVendor}' in /etc/udev/rules.d/52-nut-usbups.rules:20
Feb 16 11:50:06 natsu udevd[484]: invalid rule '/etc/udev/rules.d/52-nut-usbups.rules:20'
Feb 16 11:50:06 natsu udevd[484]: unknown key 'SYSFS{idVendor}' in /etc/udev/rules.d/52-nut-usbups.rules:24
Feb 16 11:50:06 natsu udevd[484]: invalid rule '/etc/udev/rules.d/52-nut-usbups.rules:24'
Feb 16 11:50:06 natsu udevd[484]: unknown key 'SYSFS{idVendor}' in /etc/udev/rules.d/52-nut-usbups.rules:26
Feb 16 11:50:06 natsu udevd[484]: invalid rule '/etc/udev/rules.d/52-nut-usbups.rules:26'
Feb 16 11:50:06 natsu udevd[484]: unknown key 'SYSFS{idVendor}' in /etc/udev/rules.d/52-nut-usbups.rules:28
Feb 16 11:50:06 natsu udevd[484]: invalid rule '/etc/udev/rules.d/52-nut-usbups.rules:28'
Feb 16 11:50:06 natsu udevd[484]: unknown key 'SYSFS{idVendor}' in /etc/udev/rules.d/52-nut-usbups.rules:30
Feb 16 11:50:06 natsu udevd[484]: invalid rule '/etc/udev/rules.d/52-nut-usbups.rules:30'
Feb 16 11:50:06 natsu udevd[484]: unknown key 'SYSFS{idVendor}' in /etc/udev/rules.d/52-nut-usbups.rules:32
Feb 16 11:50:06 natsu udevd[484]: invalid rule '/etc/udev/rules.d/52-nut-usbups.rules:32'
Feb 16 11:50:06 natsu udevd[484]: unknown key 'SYSFS{idVendor}' in /etc/udev/rules.d/52-nut-usbups.rules:34
Feb 16 11:50:06 natsu udevd[484]: invalid rule '/etc/udev/rules.d/52-nut-usbups.rules:34'
Feb 16 11:50:06 natsu udevd[484]: unknown key 'SYSFS{idVendor}' in /etc/udev/rules.d/52-nut-usbups.rules:36
Feb 16 11:50:06 natsu udevd[484]: invalid rule '/etc/udev/rules.d/52-nut-usbups.rules:36'
Feb 16 11:50:06 natsu udevd[484]: unknown key 'SYSFS{idVendor}' in /etc/udev/rules.d/52-nut-usbups.rules:38
Feb 16 11:50:06 natsu udevd[484]: invalid rule '/etc/udev/rules.d/52-nut-usbups.rules:38'
Feb 16 11:50:06 natsu udevd[484]: unknown key 'SYSFS{idVendor}' in /etc/udev/rules.d/52-nut-usbups.rules:42
Feb 16 11:50:06 natsu udevd[484]: invalid rule '/etc/udev/rules.d/52-nut-usbups.rules:42'
Feb 16 11:50:06 natsu udevd[484]: unknown key 'SYSFS{idVendor}' in /etc/udev/rules.d/52-nut-usbups.rules:46
Feb 16 11:50:06 natsu udevd[484]: invalid rule '/etc/udev/rules.d/52-nut-usbups.rules:46'
Feb 16 11:50:06 natsu udevd[484]: unknown key 'SYSFS{idVendor}' in /etc/udev/rules.d/52-nut-usbups.rules:48
Feb 16 11:50:06 natsu udevd[484]: invalid rule '/etc/udev/rules.d/52-nut-usbups.rules:48'
Feb 16 11:50:06 natsu udevd[484]: unknown key 'SYSFS{idVendor}' in /etc/udev/rules.d/52-nut-usbups.rules:50
Feb 16 11:50:06 natsu udevd[484]: invalid rule '/etc/udev/rules.d/52-nut-usbups.rules:50'
Feb 16 11:50:06 natsu udevd[484]: unknown key 'SYSFS{idVendor}' in /etc/udev/rules.d/52-nut-usbups.rules:52
Feb 16 11:50:06 natsu udevd[484]: invalid rule '/etc/udev/rules.d/52-nut-usbups.rules:52'
Feb 16 11:50:06 natsu udevd[484]: unknown key 'SYSFS{idVendor}' in /etc/udev/rules.d/52-nut-usbups.rules:54
Feb 16 11:50:06 natsu udevd[484]: invalid rule '/etc/udev/rules.d/52-nut-usbups.rules:54'
Feb 16 11:50:06 natsu udevd[484]: unknown key 'SYSFS{idVendor}' in /etc/udev/rules.d/52-nut-usbups.rules:56
Feb 16 11:50:06 natsu udevd[484]: invalid rule '/etc/udev/rules.d/52-nut-usbups.rules:56'
Feb 16 11:50:06 natsu udevd[484]: unknown key 'SYSFS{idVendor}' in /etc/udev/rules.d/52-nut-usbups.rules:60
Feb 16 11:50:06 natsu udevd[484]: invalid rule '/etc/udev/rules.d/52-nut-usbups.rules:60'
Feb 16 11:50:06 natsu udevd[484]: unknown key 'SYSFS{idVendor}' in /etc/udev/rules.d/52-nut-usbups.rules:62
Feb 16 11:50:06 natsu udevd[484]: invalid rule '/etc/udev/rules.d/52-nut-usbups.rules:62'
Feb 16 11:50:06 natsu udevd[484]: unknown key 'SYSFS{idVendor}' in /etc/udev/rules.d/52-nut-usbups.rules:64
Feb 16 11:50:06 natsu udevd[484]: invalid rule '/etc/udev/rules.d/52-nut-usbups.rules:64'
Feb 16 11:50:06 natsu udevd[484]: unknown key 'SYSFS{idVendor}' in /etc/udev/rules.d/52-nut-usbups.rules:68
Feb 16 11:50:06 natsu udevd[484]: invalid rule '/etc/udev/rules.d/52-nut-usbups.rules:68'
Feb 16 11:50:06 natsu udevd[484]: unknown key 'SYSFS{idVendor}' in /etc/udev/rules.d/52-nut-usbups.rules:70
Feb 16 11:50:06 natsu udevd[484]: invalid rule '/etc/udev/rules.d/52-nut-usbups.rules:70'
Feb 16 11:50:06 natsu udevd[484]: unknown key 'SYSFS{idVendor}' in /etc/udev/rules.d/52-nut-usbups.rules:72
Feb 16 11:50:06 natsu udevd[484]: invalid rule '/etc/udev/rules.d/52-nut-usbups.rules:72'
Feb 16 11:50:06 natsu udevd[484]: unknown key 'SYSFS{idVendor}' in /etc/udev/rules.d/52-nut-usbups.rules:74
Feb 16 11:50:06 natsu udevd[484]: invalid rule '/etc/udev/rules.d/52-nut-usbups.rules:74'
Feb 16 11:50:06 natsu udevd[484]: unknown key 'SYSFS{idVendor}' in /etc/udev/rules.d/52-nut-usbups.rules:76
Feb 16 11:50:06 natsu udevd[484]: invalid rule '/etc/udev/rules.d/52-nut-usbups.rules:76'
Feb 16 11:50:06 natsu udevd[484]: unknown key 'SYSFS{idVendor}' in /etc/udev/rules.d/52-nut-usbups.rules:78
Feb 16 11:50:06 natsu udevd[484]: invalid rule '/etc/udev/rules.d/52-nut-usbups.rules:78'
Feb 16 11:50:06 natsu udevd[484]: unknown key 'SYSFS{idVendor}' in /etc/udev/rules.d/52-nut-usbups.rules:80
Feb 16 11:50:06 natsu udevd[484]: invalid rule '/etc/udev/rules.d/52-nut-usbups.rules:80'
Feb 16 11:50:06 natsu udevd[484]: unknown key 'SYSFS{idVendor}' in /etc/udev/rules.d/52-nut-usbups.rules:82
Feb 16 11:50:06 natsu udevd[484]: invalid rule '/etc/udev/rules.d/52-nut-usbups.rules:82'
Feb 16 11:50:06 natsu udevd[484]: unknown key 'SYSFS{idVendor}' in /etc/udev/rules.d/52-nut-usbups.rules:84
Feb 16 11:50:06 natsu udevd[484]: invalid rule '/etc/udev/rules.d/52-nut-usbups.rules:84'
Feb 16 11:50:06 natsu udevd[484]: unknown key 'SYSFS{idVendor}' in /etc/udev/rules.d/52-nut-usbups.rules:86
Feb 16 11:50:06 natsu udevd[484]: invalid rule '/etc/udev/rules.d/52-nut-usbups.rules:86'
Feb 16 11:50:06 natsu udevd[484]: unknown key 'SYSFS{idVendor}' in /etc/udev/rules.d/52-nut-usbups.rules:88
Feb 16 11:50:06 natsu udevd[484]: invalid rule '/etc/udev/rules.d/52-nut-usbups.rules:88'
Feb 16 11:50:06 natsu udevd[484]: unknown key 'SYSFS{idVendor}' in /etc/udev/rules.d/52-nut-usbups.rules:90
Feb 16 11:50:06 natsu udevd[484]: invalid rule '/etc/udev/rules.d/52-nut-usbups.rules:90'



--- System information. ---
Architecture: amd64
Kernel:       Linux 3.2.6-rm1+

Debian Release: wheezy/sid
  990 testing         wheezy.natsu.romanrm.ru 
  500 unstable        www.emdebian.org 
  500 unstable        sid.natsu.romanrm.ru 
  500 maverick        ppa.launchpad.net 
    1 experimental    experimental.natsu.romanrm.ru 

--- Package information. ---
Depends         (Version) | Installed
=========================-+-===========
nut-server                | 2.6.3-1
nut-client                | 2.6.3-1


Package's Recommends field is empty.

Package's Suggests field is empty.


-- 
With respect,
Roman

~~~~~~~~~~~~~~~~~~~~~~~~~~~
"Stallman had a printer,
with code he could not see.
So he began to tinker,
and set the software free."
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Arnaud Quette <aquette@debian.org>:
Bug#660072; Package nut. (Thu, 16 Feb 2012 12:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arnaud Quette <aquette.dev@gmail.com>:
Extra info received and forwarded to list. Copy sent to Arnaud Quette <aquette@debian.org>. (Thu, 16 Feb 2012 12:39:04 GMT) Full text and rfc822 format available.

Message #10 received at 660072@bugs.debian.org (full text, mbox):

From: Arnaud Quette <aquette.dev@gmail.com>
To: Roman Mamedov <rm@romanrm.ru>, 660072@bugs.debian.org
Subject: Re: Bug#660072: [nut] Invalid udev rules prevent operation of nut
Date: Thu, 16 Feb 2012 13:10:41 +0100
Hi Roman,

thanks for your report.

2012/2/16 Roman Mamedov <rm@romanrm.ru>:
> Package: nut
> Version: 2.6.3-1
> Severity: important
>
> nut is completely broken on my system since quite some time ago.
>
> $ dpkg -S /etc/udev/rules.d/52-nut-usbups.rules
> nut: /etc/udev/rules.d/52-nut-usbups.rules
>
> $ debsums -e  nut
> /etc/udev/rules.d/52-nut-usbups.rules                                         OK

this file is not anymore part of the NUT packages since ????
the new one is located in /lib/udev, and has been updated to match the
latest udev (Ie, there is no "BUS" reference anymore).

> /etc/nut/ups.conf.sample                                                      OK
> /etc/nut/upsmon.conf.sample                                                   OK
> /etc/nut/upsd.conf.sample                                                     OK
> /etc/nut/upssched.conf.sample                                                 OK
> /etc/nut/upsd.users.sample                                                    OK
>
> ---
>
> Feb 16 11:48:33 natsu upsd[5477]: listening on 127.0.0.1 port 3493
> Feb 16 11:48:33 natsu upsd[5477]: listening on ::1 port 3493
> Feb 16 11:48:33 natsu upsd[5477]: Can't connect to UPS [pw800] (blazer_usb-pw800): Permission denied
> Feb 16 11:48:33 natsu upsd[5477]: allowfrom in upsd.users is no longer used
> Feb 16 11:48:33 natsu upsd[5478]: Startup successful
> Feb 16 11:48:33 natsu upsmon[5481]: Startup successful
> Feb 16 11:48:35 natsu udevd[484]: unknown key 'BUS' in /etc/udev/rules.d/52-nut-usbups.rules:6
> Feb 16 11:48:35 natsu udevd[484]: invalid rule '/etc/udev/rules.d/52-nut-usbups.rules:6'
> Feb 16 11:48:35 natsu udevd[484]: unknown key 'SYSFS{idVendor}' in /etc/udev/rules.d/52-nut-usbups.rules:10
> Feb 16 11:48:35 natsu udevd[484]: invalid rule '/etc/udev/rules.d/52-nut-usbups.rules:10'
> ...

could you please send back the following:
- are you on testing or sid?
- which nut version you upgraded from (related to the above question)?
- result of dpkg -l 'nut*'

there may be something wrong in the upgrade path, following the
various and invasive updates on the packages.

cheers,
Arnaud
-- 
Linux / Unix Expert R&D - Eaton - http://powerquality.eaton.com
Network UPS Tools (NUT) Project Leader - http://www.networkupstools.org/
Debian Developer - http://www.debian.org
Free Software Developer - http://arnaud.quette.free.fr/




Information forwarded to debian-bugs-dist@lists.debian.org, Arnaud Quette <aquette@debian.org>:
Bug#660072; Package nut. (Thu, 16 Feb 2012 12:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roman Mamedov <rm@romanrm.ru>:
Extra info received and forwarded to list. Copy sent to Arnaud Quette <aquette@debian.org>. (Thu, 16 Feb 2012 12:48:04 GMT) Full text and rfc822 format available.

Message #15 received at 660072@bugs.debian.org (full text, mbox):

From: Roman Mamedov <rm@romanrm.ru>
To: Arnaud Quette <aquette.dev@gmail.com>
Cc: 660072@bugs.debian.org
Subject: Re: Bug#660072: [nut] Invalid udev rules prevent operation of nut
Date: Thu, 16 Feb 2012 18:35:37 +0600
[Message part 1 (text/plain, inline)]
On Thu, 16 Feb 2012 13:10:41 +0100
Arnaud Quette <aquette.dev@gmail.com> wrote:

> Hi Roman,
> 
> thanks for your report.
> 
> 2012/2/16 Roman Mamedov <rm@romanrm.ru>:
> > Package: nut
> > Version: 2.6.3-1
> > Severity: important
> >
> > nut is completely broken on my system since quite some time ago.
> >
> > $ dpkg -S /etc/udev/rules.d/52-nut-usbups.rules
> > nut: /etc/udev/rules.d/52-nut-usbups.rules
> >
> > $ debsums -e  nut
> > /etc/udev/rules.d/52-nut-usbups.rules                                         OK
> 
> this file is not anymore part of the NUT packages since ????

Are you sure about that?

$ dpkg -l nut
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name               Version            Description
+++-==================-==================-====================================================
ii  nut                2.6.3-1            network UPS tools - metapackage

$ dpkg -L nut
/.
/usr
/usr/share
/usr/share/doc
/usr/share/doc/nut
/usr/share/doc/nut/config-notes.txt.gz
/usr/share/doc/nut/scheduling.txt.gz
/usr/share/doc/nut/UPGRADING.gz
/usr/share/doc/nut/security.txt.gz
/usr/share/doc/nut/AUTHORS.gz
/usr/share/doc/nut/documentation.txt
/usr/share/doc/nut/support.txt
/usr/share/doc/nut/MAINTAINERS
/usr/share/doc/nut/changelog.Debian.gz
/usr/share/doc/nut/acknowledgements.txt.gz
/usr/share/doc/nut/copyright
/usr/share/doc/nut/changelog.gz
/usr/share/doc/nut/FAQ.txt.gz
/usr/share/doc/nut/download.txt.gz
/usr/share/doc/nut/nut-names.txt.gz
/usr/share/doc/nut/features.txt.gz
/usr/share/doc/nut/TODO.gz
/usr/share/doc/nut/NEWS.gz
/usr/share/doc/nut/user-manual.txt
/usr/share/doc/nut/packager-guide.txt.gz
/usr/share/doc/nut/README.gz
/usr/share/doc/nut/outlets.txt
/usr/share/doc/nut/history.txt.gz
/etc/nut/upssched.conf.sample
/etc/nut/upsmon.conf.sample
/etc/nut/upsd.users.sample
/etc/nut/ups.conf.sample
/etc/nut/upsd.conf.sample
/etc/udev/rules.d/52-nut-usbups.rules   <-------------------------------------------

> the new one is located in /lib/udev, and has been updated to match the
> latest udev (Ie, there is no "BUS" reference anymore).
> 
> > /etc/nut/ups.conf.sample                                                      OK
> > /etc/nut/upsmon.conf.sample                                                   OK
> > /etc/nut/upsd.conf.sample                                                     OK
> > /etc/nut/upssched.conf.sample                                                 OK
> > /etc/nut/upsd.users.sample                                                    OK
> >
> > ---
> >
> > Feb 16 11:48:33 natsu upsd[5477]: listening on 127.0.0.1 port 3493
> > Feb 16 11:48:33 natsu upsd[5477]: listening on ::1 port 3493
> > Feb 16 11:48:33 natsu upsd[5477]: Can't connect to UPS [pw800] (blazer_usb-pw800): Permission denied
> > Feb 16 11:48:33 natsu upsd[5477]: allowfrom in upsd.users is no longer used
> > Feb 16 11:48:33 natsu upsd[5478]: Startup successful
> > Feb 16 11:48:33 natsu upsmon[5481]: Startup successful
> > Feb 16 11:48:35 natsu udevd[484]: unknown key 'BUS' in /etc/udev/rules.d/52-nut-usbups.rules:6
> > Feb 16 11:48:35 natsu udevd[484]: invalid rule '/etc/udev/rules.d/52-nut-usbups.rules:6'
> > Feb 16 11:48:35 natsu udevd[484]: unknown key 'SYSFS{idVendor}' in /etc/udev/rules.d/52-nut-usbups.rules:10
> > Feb 16 11:48:35 natsu udevd[484]: invalid rule '/etc/udev/rules.d/52-nut-usbups.rules:10'
> > ...
> 
> could you please send back the following:
> - are you on testing or sid?

On testing.

> - which nut version you upgraded from (related to the above question)?

I run regular apt-get dist-upgrade so I am pretty much always on the latest
version in testing.

> - result of dpkg -l 'nut*'

$ dpkg -l 'nut*'
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name               Version            Description
+++-==================-==================-====================================================
ii  nut                2.6.3-1            network UPS tools - metapackage
un  nut-cgi            <none>             (no description available)
ii  nut-client         2.6.3-1            network UPS tools - clients
un  nut-dev            <none>             (no description available)
un  nut-hal-drivers    <none>             (no description available)
un  nut-monitor        <none>             (no description available)
ii  nut-server         2.6.3-1            network UPS tools - core system
un  nut-snmp           <none>             (no description available)
un  nut-usb            <none>             (no description available)
un  nut-xml            <none>             (no description available)


> 
> there may be something wrong in the upgrade path, following the
> various and invasive updates on the packages.
> 
> cheers,
> Arnaud


-- 
With respect,
Roman

~~~~~~~~~~~~~~~~~~~~~~~~~~~
"Stallman had a printer,
with code he could not see.
So he began to tinker,
and set the software free."
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Arnaud Quette <aquette@debian.org>:
Bug#660072; Package nut. (Fri, 01 Jun 2012 14:24:52 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arnaud Quette <aquette.dev@gmail.com>:
Extra info received and forwarded to list. Copy sent to Arnaud Quette <aquette@debian.org>. (Fri, 01 Jun 2012 14:24:52 GMT) Full text and rfc822 format available.

Message #20 received at 660072@bugs.debian.org (full text, mbox):

From: Arnaud Quette <aquette.dev@gmail.com>
To: Roman Mamedov <rm@romanrm.ru>
Cc: 660072@bugs.debian.org
Subject: Re: Bug#660072: [nut] Invalid udev rules prevent operation of nut
Date: Fri, 1 Jun 2012 16:23:20 +0200
2012/2/16 Roman Mamedov <rm@romanrm.ru>:
> On Thu, 16 Feb 2012 13:10:41 +0100
> Arnaud Quette <aquette.dev@gmail.com> wrote:
>
>> Hi Roman,
>>
>> thanks for your report.
>>
>> 2012/2/16 Roman Mamedov <rm@romanrm.ru>:
>> > Package: nut
>> > Version: 2.6.3-1
>> > Severity: important
>> >
>> > nut is completely broken on my system since quite some time ago.
>> >
>> > $ dpkg -S /etc/udev/rules.d/52-nut-usbups.rules
>> > nut: /etc/udev/rules.d/52-nut-usbups.rules
>> >
>> > $ debsums -e  nut
>> > /etc/udev/rules.d/52-nut-usbups.rules                                         OK
>>
>> this file is not anymore part of the NUT packages since ????
>
> Are you sure about that?
>
> $ dpkg -l nut
> Desired=Unknown/Install/Remove/Purge/Hold
> | Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
> |/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
> ||/ Name               Version            Description
> +++-==================-==================-====================================================
> ii  nut                2.6.3-1            network UPS tools - metapackage
>
> $ dpkg -L nut
> /.
> /usr
> /usr/share
> /usr/share/doc
> /usr/share/doc/nut
> /usr/share/doc/nut/config-notes.txt.gz
> /usr/share/doc/nut/scheduling.txt.gz
> /usr/share/doc/nut/UPGRADING.gz
> /usr/share/doc/nut/security.txt.gz
> /usr/share/doc/nut/AUTHORS.gz
> /usr/share/doc/nut/documentation.txt
> /usr/share/doc/nut/support.txt
> /usr/share/doc/nut/MAINTAINERS
> /usr/share/doc/nut/changelog.Debian.gz
> /usr/share/doc/nut/acknowledgements.txt.gz
> /usr/share/doc/nut/copyright
> /usr/share/doc/nut/changelog.gz
> /usr/share/doc/nut/FAQ.txt.gz
> /usr/share/doc/nut/download.txt.gz
> /usr/share/doc/nut/nut-names.txt.gz
> /usr/share/doc/nut/features.txt.gz
> /usr/share/doc/nut/TODO.gz
> /usr/share/doc/nut/NEWS.gz
> /usr/share/doc/nut/user-manual.txt
> /usr/share/doc/nut/packager-guide.txt.gz
> /usr/share/doc/nut/README.gz
> /usr/share/doc/nut/outlets.txt
> /usr/share/doc/nut/history.txt.gz
> /etc/nut/upssched.conf.sample
> /etc/nut/upsmon.conf.sample
> /etc/nut/upsd.users.sample
> /etc/nut/ups.conf.sample
> /etc/nut/upsd.conf.sample
> /etc/udev/rules.d/52-nut-usbups.rules   <-------------------------------------------
>
>> the new one is located in /lib/udev, and has been updated to match the
>> latest udev (Ie, there is no "BUS" reference anymore).
>> (...)

here is what I have with a fresh install:

$ dpkg -l nut
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name                                   Version
           Description
+++-======================================-======================================-============================================================================================
ii  nut                                    2.6.3-1
           network UPS tools - metapackage

$ dpkg -L nut
/.
/usr
/usr/share
/usr/share/doc
/usr/share/doc/nut
/usr/share/doc/nut/config-notes.txt.gz
/usr/share/doc/nut/scheduling.txt.gz
/usr/share/doc/nut/UPGRADING.gz
/usr/share/doc/nut/security.txt.gz
/usr/share/doc/nut/AUTHORS.gz
/usr/share/doc/nut/documentation.txt
/usr/share/doc/nut/support.txt
/usr/share/doc/nut/MAINTAINERS
/usr/share/doc/nut/changelog.Debian.gz
/usr/share/doc/nut/acknowledgements.txt.gz
/usr/share/doc/nut/copyright
/usr/share/doc/nut/changelog.gz
/usr/share/doc/nut/FAQ.txt.gz
/usr/share/doc/nut/download.txt.gz
/usr/share/doc/nut/nut-names.txt.gz
/usr/share/doc/nut/features.txt.gz
/usr/share/doc/nut/TODO.gz
/usr/share/doc/nut/NEWS.gz
/usr/share/doc/nut/user-manual.txt
/usr/share/doc/nut/packager-guide.txt.gz
/usr/share/doc/nut/README.gz
/usr/share/doc/nut/outlets.txt
/usr/share/doc/nut/history.txt.gz

so, the same as yours, apart from
"/etc/udev/rules.d/52-nut-usbups.rules" which is now part of
nut-server and located in /lib/udev/rules.d/52-nut-usbups.rules

>> there may be something wrong in the upgrade path, following the
>> various and invasive updates on the packages.

yup, I'll be checking this with the current 2.6.4 update underway.

cheers,
Arnaud
-- 
Linux / Unix / Opensource Engineering Expert - Eaton -
http://opensource.eaton.com
Network UPS Tools (NUT) Project Leader - http://www.networkupstools.org
Debian Developer - http://www.debian.org
Free Software Developer - http://arnaud.quette.free.fr




Reply sent to Arnaud Quette <aquette@debian.org>:
You have taken responsibility. (Wed, 06 Jun 2012 19:51:07 GMT) Full text and rfc822 format available.

Notification sent to Roman Mamedov <rm@romanrm.ru>:
Bug acknowledged by developer. (Wed, 06 Jun 2012 19:51:08 GMT) Full text and rfc822 format available.

Message #25 received at 660072-close@bugs.debian.org (full text, mbox):

From: Arnaud Quette <aquette@debian.org>
To: 660072-close@bugs.debian.org
Subject: Bug#660072: fixed in nut 2.6.4-1
Date: Wed, 06 Jun 2012 19:48:13 +0000
Source: nut
Source-Version: 2.6.4-1

We believe that the bug you reported is fixed in the latest version of
nut, which is due to be installed in the Debian FTP archive:

libups-nut-perl_2.6.4-1_all.deb
  to main/n/nut/libups-nut-perl_2.6.4-1_all.deb
libupsclient1-dev_2.6.4-1_i386.deb
  to main/n/nut/libupsclient1-dev_2.6.4-1_i386.deb
libupsclient1_2.6.4-1_i386.deb
  to main/n/nut/libupsclient1_2.6.4-1_i386.deb
nut-cgi_2.6.4-1_i386.deb
  to main/n/nut/nut-cgi_2.6.4-1_i386.deb
nut-client_2.6.4-1_i386.deb
  to main/n/nut/nut-client_2.6.4-1_i386.deb
nut-doc_2.6.4-1_all.deb
  to main/n/nut/nut-doc_2.6.4-1_all.deb
nut-monitor_2.6.4-1_all.deb
  to main/n/nut/nut-monitor_2.6.4-1_all.deb
nut-powerman-pdu_2.6.4-1_i386.deb
  to main/n/nut/nut-powerman-pdu_2.6.4-1_i386.deb
nut-server_2.6.4-1_i386.deb
  to main/n/nut/nut-server_2.6.4-1_i386.deb
nut-snmp_2.6.4-1_i386.deb
  to main/n/nut/nut-snmp_2.6.4-1_i386.deb
nut-xml_2.6.4-1_i386.deb
  to main/n/nut/nut-xml_2.6.4-1_i386.deb
nut_2.6.4-1.debian.tar.gz
  to main/n/nut/nut_2.6.4-1.debian.tar.gz
nut_2.6.4-1.dsc
  to main/n/nut/nut_2.6.4-1.dsc
nut_2.6.4-1_all.deb
  to main/n/nut/nut_2.6.4-1_all.deb
nut_2.6.4.orig.tar.gz
  to main/n/nut/nut_2.6.4.orig.tar.gz
python-nut_2.6.4-1_all.deb
  to main/n/nut/python-nut_2.6.4-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 660072@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Arnaud Quette <aquette@debian.org> (supplier of updated nut package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 06 Jun 2012 21:03:50 +0200
Source: nut
Binary: nut nut-server nut-client nut-cgi nut-snmp nut-xml nut-powerman-pdu nut-doc libupsclient1 libupsclient1-dev python-nut nut-monitor libups-nut-perl
Architecture: source all i386
Version: 2.6.4-1
Distribution: unstable
Urgency: high
Maintainer: Arnaud Quette <aquette@debian.org>
Changed-By: Arnaud Quette <aquette@debian.org>
Description: 
 libups-nut-perl - network UPS tools - Perl bindings for NUT server
 libupsclient1 - network UPS tools - client library
 libupsclient1-dev - network UPS tools - development files
 nut        - network UPS tools - metapackage
 nut-cgi    - network UPS tools - web interface
 nut-client - network UPS tools - clients
 nut-doc    - network UPS tools - documentation
 nut-monitor - network UPS tools - GUI application to monitor UPS status
 nut-powerman-pdu - network UPS tools - PowerMan PDU driver
 nut-server - network UPS tools - core system
 nut-snmp   - network UPS tools - SNMP driver
 nut-xml    - network UPS tools - XML/HTTP driver
 python-nut - network UPS tools - Python bindings for NUT server
Closes: 613643 660072 671444 675619
Changes: 
 nut (2.6.4-1) unstable; urgency=high
 .
   * New upstream release (Closes: #671444)
   * acknowledges NMU (Closes: #613643)
   * debian/nut-client.init: fix action "start" and use of log_*_*msg
     LSB log functions (Closes: #675619)
   * debian/nut-server.preinst: remove obsolete file(s) left in
     /etc/udev/rules.d and related processing: udev files are now located
     in /lib/udev/rules, and there is no reason to modify the dedicated
     USB UPS rules (52-nut-usbups.rules) (Closes: #660072)
Checksums-Sha1: 
 df48946ed85c175a604e199e3ab67f0cadea7eeb 2043 nut_2.6.4-1.dsc
 55b7c5eafe60de64107374c90ee2079aa3350a94 1992488 nut_2.6.4.orig.tar.gz
 caba9f5d44d5e41b5ce4488c08cb67113630dd62 39162 nut_2.6.4-1.debian.tar.gz
 0cbee090fe465dcdcb4af564bfb725298137f60b 170964 nut_2.6.4-1_all.deb
 03742c08276938b56f382a2e0813453ab558fc87 1962418 nut-doc_2.6.4-1_all.deb
 2688ac4a1863ec1276777008e186f1ae0d4e532c 99964 python-nut_2.6.4-1_all.deb
 a356149a76d9c977249df87cf26f8e12878b27e4 125258 nut-monitor_2.6.4-1_all.deb
 b7d74af3aa4df95dfcf7fbe2a8944f0cd314695b 105062 libups-nut-perl_2.6.4-1_all.deb
 a23474df632a252e136b12cf300c1e5792bf9d4a 1469482 nut-server_2.6.4-1_i386.deb
 6ef0b1aee3c9b51a644974c37ca5c9e7d2feea1d 195940 nut-client_2.6.4-1_i386.deb
 9e7f579eabf50a375dd6a1320f7e96d46395e78d 161878 nut-cgi_2.6.4-1_i386.deb
 23278f85ea0848c31937d29ba4015659230a2238 138780 nut-snmp_2.6.4-1_i386.deb
 090429be6ec3d1e50b8295e3c5a15fe91430365a 130020 nut-xml_2.6.4-1_i386.deb
 b870c0c9e730a30837b41a44b5e3e7413f61bddd 122176 nut-powerman-pdu_2.6.4-1_i386.deb
 9a133c213ef9cd458e95b5b7aba366bbebf877c8 107718 libupsclient1_2.6.4-1_i386.deb
 e0bb254868479262a9d066f501bdad0c4514832d 141428 libupsclient1-dev_2.6.4-1_i386.deb
Checksums-Sha256: 
 8007bd7ef8f89687f89392b496a1e793119112924eefa5ad440c8bc75df240ba 2043 nut_2.6.4-1.dsc
 4a8455ca7ba2e18b57a39206acc5a496e855d845828e970822bd84afd1178fe5 1992488 nut_2.6.4.orig.tar.gz
 776e7089758393de7cac1ba281e76f8e8d8a48c1a367fb2d71d89814b4140d16 39162 nut_2.6.4-1.debian.tar.gz
 210e127ff322a0f5c8f301863c5352b75cc30519d0ba98e614ddea4bc7b7f833 170964 nut_2.6.4-1_all.deb
 c86c21733c2037982632d9b5435ed17663fdc93399460ea8827547e18a587fe4 1962418 nut-doc_2.6.4-1_all.deb
 123200b389c7151be236ce4c3958e63438bcd03889007423bbaa1eda846cabd2 99964 python-nut_2.6.4-1_all.deb
 c0601f38827955bf1d5d1c9501a9afffa5bd332eebb144032b2a37113e92e751 125258 nut-monitor_2.6.4-1_all.deb
 4ce801d7afd55a66aac54505baf796d2f2271ec3b8f405512d3673c9665ed214 105062 libups-nut-perl_2.6.4-1_all.deb
 498e279b6e546a62ca4699d88ee1d29f215331da1b097db2535eadba904d1dd0 1469482 nut-server_2.6.4-1_i386.deb
 7d6a57f44352035b5bb3ce0c0b03cf2387c707ce4aabd4cbef959e4840142ba1 195940 nut-client_2.6.4-1_i386.deb
 a0c5663e39f970d62fc1d90a8c7298d5a1ecef41b9a5eb34bede415e0123997f 161878 nut-cgi_2.6.4-1_i386.deb
 dbc58bc49342f8b4d6295c9cb206f01cf731be28e9d1abbd9c3838b289438961 138780 nut-snmp_2.6.4-1_i386.deb
 86a03892ce0c600147d45c8ced5713c2069481c66545e9d283268d9e2d841ad8 130020 nut-xml_2.6.4-1_i386.deb
 20a0784d5efffb3ae2dabd0126312baffaad2cf5a43a2ac2b216a87178e90bad 122176 nut-powerman-pdu_2.6.4-1_i386.deb
 36f73e89f6659dbac04f637d243a4716da9d25186545a639f031428463368822 107718 libupsclient1_2.6.4-1_i386.deb
 8e6e1963a0cfda422c7ef3731e8a5821159d8be9fcadb05c3807d352722f8636 141428 libupsclient1-dev_2.6.4-1_i386.deb
Files: 
 cf06435e21c3eaa7e5575a2e68028d46 2043 admin optional nut_2.6.4-1.dsc
 78d672fbbcd90683e49c667665a95f87 1992488 admin optional nut_2.6.4.orig.tar.gz
 ca3e904ee22008536584cc3758c5556c 39162 admin optional nut_2.6.4-1.debian.tar.gz
 bc5b9643749977aafff415ae22c69393 170964 admin optional nut_2.6.4-1_all.deb
 af2c193f26e65e8bb59f8cf31a88d0c9 1962418 doc optional nut-doc_2.6.4-1_all.deb
 32de1eb4ebe9ce577d1b0a9892a3aea2 99964 python optional python-nut_2.6.4-1_all.deb
 18c2abf87edc8fd44928896ee0958e85 125258 admin optional nut-monitor_2.6.4-1_all.deb
 48848494ad3cc7fd6726aa74ec0e36e3 105062 perl optional libups-nut-perl_2.6.4-1_all.deb
 a622d677f2fe1478b48bde6f9474a56d 1469482 admin optional nut-server_2.6.4-1_i386.deb
 dd0c7d137e91e45217b975b066d462da 195940 admin optional nut-client_2.6.4-1_i386.deb
 6f1abc36efeead43ea5e5f4990a35420 161878 admin optional nut-cgi_2.6.4-1_i386.deb
 7c1a861a811b18aaa86c577ac5c832fd 138780 admin optional nut-snmp_2.6.4-1_i386.deb
 8d16e1fd43ebf898be77619dd10c8b1a 130020 admin optional nut-xml_2.6.4-1_i386.deb
 bcc2d7f9e8b76c5082408ed784149219 122176 admin extra nut-powerman-pdu_2.6.4-1_i386.deb
 9d01d64c6be6cf42ab3188066d4cd6fc 107718 admin optional libupsclient1_2.6.4-1_i386.deb
 80656f05af2eedcbb23e216cb66c9a4c 141428 libdevel optional libupsclient1-dev_2.6.4-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk/Pr6AACgkQ22QUyiBN3xvoWgCfYSR0/N9T5aDzxheZtbNqbblI
VjUAnjlTUoLJJkSBC+MBOvJ+ga8sBekG
=6HqG
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 07 Jul 2012 07:43:44 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 15:51:09 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.